View Issue Details

IDProjectCategoryView StatusLast Update
0002524SymmetricDSImprovementpublic2016-04-06 16:24
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.31 
Target Version3.7.31Fixed in Version3.7.31 
Summary0002524: Data gap detection slow when trying to expire gaps
DescriptionThe data gap detection runs before routing to add new gaps of the data ID sequence, remove old gaps that have been routed, and expire gaps that don't have data. The expiration routine checks each gap against the sym_data table, but it should only query the database with that check if the gap has an expired create time. For Oracle, it also checks each gap with a query against the gv$transaction view, when it only needs query that view once for all gaps.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 6fab9cfe

2016-03-15 15:13:07

admin

Details Diff
0002524: Data gap detection slow when trying to expire gaps
0002524
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File

Issue History

Date Modified Username Field Change
2016-03-15 15:11 elong New Issue
2016-03-15 15:11 elong Status new => assigned
2016-03-15 15:11 elong Assigned To => elong
2016-03-15 16:00 admin Changeset attached => SymmetricDS 3.7 6fab9cfe
2016-04-05 16:43 elong Status assigned => resolved
2016-04-05 16:43 elong Fixed in Version => 3.7.31
2016-04-05 16:43 elong Resolution open => fixed
2016-04-06 16:24 admin Status resolved => closed